/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 12/07/23.
//

#ifndef FGGL_COMPONENTS_CORE_FILESYSTEM_MODULE_HPP
#define FGGL_COMPONENTS_CORE_FILESYSTEM_MODULE_HPP

#include "fggl/services/module.hpp"

namespace fggl::filesystem {

	class NativeBacked : public services::Module {
			FGGL_MODULE(fggl::filesystem::Native)

			auto getProvides() const -> Module::ServiceList override;
			void wireServices(services::ModuleBinder& binder) override;
	};

} // namespace fggl::filesystem

#endif //FGGL_COMPONENTS_CORE_FILESYSTEM_MODULE_HPP
