# Integration Modules
This adds support for 3rd party libraries to the engine. These can be included in projects
to expose modules which can then be used in your applications.

## Integrations Provided
The following integration modules are povided in this folder. For more information please see the readme for that module.

| Integration | Module Name           | Description                                        |
|-------------|-----------------------|----------------------------------------------------|
| Bullet      | `fggl::phys::Bullet3` | Provides Bullet3 integration into the game engine. |
| Lua         | `fggl::script::Lua`   | Provides LUA scripting support for the engine      |

Modules that cannot be included for legal reasons will be packaged independently of this repository.